Subject: Re: linux-next: build failure after merge of the powerpc tree

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 01 Jul 2011 13:00:12 +1000

On Fri, 2011-07-01 at 11:39 +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the powerpc tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> arch/powerpc/include/asm/setup.h: Assembler messages:
> arch/powerpc/include/asm/setup.h:6: Error: Unrecognized opcode: `extern'
> make[2]: *** [arch/powerpc/kernel/head_64.o] Error 1
> 
> Caused by commit a9c0f41b3a64 ("powerpc: Add printk companion for
> ppc_md.progress").  Clearly not build tested for 64 but powerpc :-(
> 
> I have used the version of the powerpc tree from next-20110630 for today.

Crap !

I had fixed that locally, and ... forgot to commit --amend before
pushing it.

I'll stick a fixup patch right next to it.

Cheers,
Ben.